package com.jeeplus.test.rank.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * rank_children
 * @author 
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class RankChildrenDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 子职级层数   1：一级职级  2：二级职级
     */
    private String rankLevel;

    /**
     * 职级id
     */
    private String rankId;

    /**
     * 父职级id   0:一级职级  other：二级职级
     */
    private String rankParent;

    /**
     * 子职级名称
     */
    private String name;

    private static final long serialVersionUID = 1L;
}